﻿--
-- Script was generated by Devart dbForge Studio for MySQL, Version 8.0.40.0
-- Product home page: http://www.devart.com/dbforge/mysql/studio
-- Script date 26/11/2020 12:27:13
-- Server version: 5.5.5-10.1.40-MariaDB
-- Client version: 4.1
--

-- 
-- Disable foreign keys
-- 
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;

-- 
-- Set SQL mode
-- 
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;

-- 
-- Set character set the client will use to send SQL statements to the server
--
SET NAMES 'utf8';

DROP DATABASE IF EXISTS wow;

CREATE DATABASE wow
CHARACTER SET latin1
COLLATE latin1_swedish_ci;

--
-- Set default database
--
USE wow;

--
-- Create table `clases`
--
CREATE TABLE clases (
  id int(11) NOT NULL AUTO_INCREMENT,
  nombre varchar(50) DEFAULT NULL,
  descripcion varchar(50) DEFAULT NULL,
  atributosR varchar(200) DEFAULT NULL,
  talentosR varchar(50) DEFAULT NULL,
  PRIMARY KEY (id)
)
ENGINE = INNODB,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create table `razas`
--
CREATE TABLE razas (
  id int(11) NOT NULL AUTO_INCREMENT,
  nombre varchar(50) DEFAULT NULL,
  afiliacion varchar(50) DEFAULT NULL,
  descripcion varchar(200) DEFAULT NULL,
  racial varchar(50) DEFAULT NULL,
  PRIMARY KEY (id)
)
ENGINE = INNODB,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create table `tienen`
--
CREATE TABLE tienen (
  id int(11) NOT NULL AUTO_INCREMENT,
  id_razas int(11) DEFAULT NULL,
  id_clase int(11) DEFAULT NULL,
  PRIMARY KEY (id)
)
ENGINE = INNODB,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create index `uk_clases_razas` on table `tienen`
--
ALTER TABLE tienen
ADD UNIQUE INDEX uk_clases_razas (id_clase, id_razas);

--
-- Create foreign key
--
ALTER TABLE tienen
ADD CONSTRAINT fk_clase_tienen FOREIGN KEY (id_clase)
REFERENCES clases (id);

--
-- Create foreign key
--
ALTER TABLE tienen
ADD CONSTRAINT fk_razas_tienen FOREIGN KEY (id_razas)
REFERENCES razas (id);

--
-- Create table `protagonistas`
--
CREATE TABLE protagonistas (
  id int(11) NOT NULL AUTO_INCREMENT,
  nombre varchar(50) DEFAULT NULL,
  raza varchar(50) DEFAULT NULL,
  afiliacion varchar(200) DEFAULT NULL,
  estado varchar(50) DEFAULT NULL,
  descripcion varchar(200) DEFAULT NULL,
  PRIMARY KEY (id)
)
ENGINE = INNODB,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create table `expansiones`
--
CREATE TABLE expansiones (
  id int(11) NOT NULL AUTO_INCREMENT,
  nombre varchar(50) DEFAULT NULL,
  rango_niveles varchar(50) DEFAULT NULL,
  fecha date DEFAULT NULL,
  PRIMARY KEY (id)
)
ENGINE = INNODB,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create table `pertenecen`
--
CREATE TABLE pertenecen (
  id int(11) NOT NULL AUTO_INCREMENT,
  id_razas int(11) DEFAULT NULL,
  id_expansiones int(11) DEFAULT NULL,
  PRIMARY KEY (id)
)
ENGINE = INNODB,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create index `uk_expansiones_razas` on table `pertenecen`
--
ALTER TABLE pertenecen
ADD UNIQUE INDEX uk_expansiones_razas (id_expansiones, id_razas);

--
-- Create foreign key
--
ALTER TABLE pertenecen
ADD CONSTRAINT fk_expansiones_pertenecen FOREIGN KEY (id_expansiones)
REFERENCES expansiones (id);

--
-- Create foreign key
--
ALTER TABLE pertenecen
ADD CONSTRAINT fk_razas_pertenecen FOREIGN KEY (id_razas)
REFERENCES razas (id);

--
-- Create table `aparecen`
--
CREATE TABLE aparecen (
  id int(11) NOT NULL AUTO_INCREMENT,
  id_protagonistas int(11) DEFAULT NULL,
  id_expansiones int(11) DEFAULT NULL,
  PRIMARY KEY (id)
)
ENGINE = INNODB,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create index `uk_expansiones_protagonistas` on table `aparecen`
--
ALTER TABLE aparecen
ADD UNIQUE INDEX uk_expansiones_protagonistas (id_expansiones, id_protagonistas);

--
-- Create foreign key
--
ALTER TABLE aparecen
ADD CONSTRAINT fk_expansiones_aparecen FOREIGN KEY (id_expansiones)
REFERENCES expansiones (id);

--
-- Create foreign key
--
ALTER TABLE aparecen
ADD CONSTRAINT fk_protagonistas_aparecen FOREIGN KEY (id_protagonistas)
REFERENCES protagonistas (id);

--
-- Create table `zonas`
--
CREATE TABLE zonas (
  id int(11) NOT NULL AUTO_INCREMENT,
  nombre varchar(50) DEFAULT NULL,
  num_regiones int(11) DEFAULT NULL,
  id_expansiones int(11) DEFAULT NULL,
  PRIMARY KEY (id)
)
ENGINE = INNODB,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create foreign key
--
ALTER TABLE zonas
ADD CONSTRAINT fk_expansiones_zonas FOREIGN KEY (id_expansiones)
REFERENCES zonas (id);

--
-- Create table `roles`
--
CREATE TABLE roles (
  id int(11) NOT NULL AUTO_INCREMENT,
  id_clases int(11) DEFAULT NULL,
  roles varchar(20) DEFAULT NULL,
  PRIMARY KEY (id)
)
ENGINE = INNODB,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create index `uk_clases_roles` on table `roles`
--
ALTER TABLE roles
ADD UNIQUE INDEX uk_clases_roles (id_clases, roles);

--
-- Create foreign key
--
ALTER TABLE roles
ADD CONSTRAINT fk_clases_roles FOREIGN KEY (id_clases)
REFERENCES roles (id);

--
-- Create table `mazmorras`
--
CREATE TABLE mazmorras (
  id int(11) NOT NULL AUTO_INCREMENT,
  nombre varchar(50) DEFAULT NULL,
  ubicacion varchar(50) DEFAULT NULL,
  num_boses int(11) DEFAULT NULL,
  nivel_requerido int(11) DEFAULT NULL,
  id_expansiones int(11) DEFAULT NULL,
  PRIMARY KEY (id)
)
ENGINE = INNODB,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create foreign key
--
ALTER TABLE mazmorras
ADD CONSTRAINT fk_expansiones_mazmorras FOREIGN KEY (id_expansiones)
REFERENCES mazmorras (id);

-- 
-- Dumping data for table clases
--
-- Table wow.clases does not contain any data (it is empty)

-- 
-- Dumping data for table razas
--
-- Table wow.razas does not contain any data (it is empty)

-- 
-- Dumping data for table protagonistas
--
-- Table wow.protagonistas does not contain any data (it is empty)

-- 
-- Dumping data for table expansiones
--
-- Table wow.expansiones does not contain any data (it is empty)

-- 
-- Dumping data for table zonas
--
-- Table wow.zonas does not contain any data (it is empty)

-- 
-- Dumping data for table tienen
--
-- Table wow.tienen does not contain any data (it is empty)

-- 
-- Dumping data for table roles
--
-- Table wow.roles does not contain any data (it is empty)

-- 
-- Dumping data for table pertenecen
--
-- Table wow.pertenecen does not contain any data (it is empty)

-- 
-- Dumping data for table mazmorras
--
-- Table wow.mazmorras does not contain any data (it is empty)

-- 
-- Dumping data for table aparecen
--
-- Table wow.aparecen does not contain any data (it is empty)

-- 
-- Restore previous SQL mode
-- 
/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;

-- 
-- Enable foreign keys
-- 
/*!40014 SET FOREIGN_KEY_CHECKS = @OLD_FOREIGN_KEY_CHECKS */;